require "pixels"

love.load = function()
	math.randomseed(os.time())
	pixels.load()
end

showFPS = true

love.update = function(dt)
	deltaTime = dt
	
	if showFPS then
		love.window.setTitle("Somewhere Between 1.5D and 2.5D ("..love.timer.getFPS().." FPS)")
	end
	
	pixels.update(dt)
end

love.draw = function()
	love.graphics.setBackgroundColor(255, 255, 255)
	pixels.draw()
end

love.keypressed = function(key)
	if key == "escape" then
		love.event.quit()
	end
end